package com.xjrsoft.module.system.service;

import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.system.dto.MenuTreeDto;
import com.xjrsoft.module.system.dto.RoleMenuServeListDto;
import com.xjrsoft.module.system.entity.Menu;
import com.xjrsoft.module.system.vo.MenuAllServeVo;
import com.xjrsoft.module.system.vo.MenuServeVo;
import com.xjrsoft.module.system.vo.MenuTreeVo;
import com.xjrsoft.module.system.vo.MenuVo;

import java.util.List;

/**
 * <p>
 * 用户 服务类
 * </p>
 *
 * @author tzx
 * @since 2022-03-16
 */
public interface IMenuService extends MPJBaseService<Menu> {

    List<MenuVo> getAuthMenuList(MenuTreeDto dto);

    List<MenuServeVo> getAuthMenuServe(MenuTreeDto dto);

    List<MenuAllServeVo> getAuthAllMenuServe(MenuTreeDto dto);

    List<MenuServeVo> getRoleMenuServe(RoleMenuServeListDto dto);

    List<Menu> getUserQuick(MenuTreeDto dto);

    List<MenuTreeVo> selectAllist(List<String> deptIdList);
}
